import React from "react";

import "./fancyscrollbar.css";

interface FancyScrollbarProps {
    children?: React.ReactNode | React.ReactNode[];
}

/**
 * Wraps other elements into a <div> section providing a thin scrollbar.
 * @param children React children
 * @constructor
 */
function FancyScrollbar({ children }: FancyScrollbarProps) {
    return <div className={"fancy-scrollbar"}>{children}</div>;
}

export default FancyScrollbar;
