import React from "react";

import "./titlearea.css";

interface TitleAreaProps {
    title: string;
    image?: string;
}

/**
 * Displays a title with an associated image
 * @param title The title.
 * @param image Link to an image.
 * @constructor
 */
function TitleArea({ title, image }: TitleAreaProps) {
    const marginTop = image ? 0 : 25;
    return (
        <div className={"title-area"} style={{ marginTop }}>
            {image && <img src={image} className={"title-area-image"} />}
            <h2 className={"title-area-headline"}>{title}</h2>
        </div>
    );
}

export default TitleArea;
