import Tool from "./tool";
import { saveGraphJson } from "../../../common/datasets";
import { state, graph } from "../editor";
import { SPACE } from "../../../config";
import SaveIcon from "../../images/tools/save.png";

export default class SaveTool extends Tool {
    constructor(key) {
        super("Save", SaveIcon, key);
    }

    onToolActivate() {
        saveGraphJson(SPACE, graph.getCleanData());
        graph.saveChanges();
        state.setTool(state.previousTool);
        alert("Graph has been saved.");
    }
}
